Page 1 of 1

globalfreeze change not backwards compatible

PostPosted: Fri Jan 11, 2019 8:31 pm
by AFADoomer
This commit seems to have completely eliminated the globalfreeze variable, so now any custom actor that used to reference that global variable errors out with an "Unknown identifier 'globalfreeze'" error for each line where it is used.

In my case, this specifically breaks Blade of Agony... I can fix it on my end, but I figured that the lack of a graceful deprecation should be reported (and previous releases are all broken, still).

Re: globalfreeze change not backwards compatible

PostPosted: Sat Jan 12, 2019 8:42 am
by Graf Zahl
I had to refactor the entire handling for freezing a level because the closer I looked at the code the more broken it appeared and while doing that, added this variable again, but it's deprecated now.